<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class NotificationServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void {}

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {

        try {
            $reverb_configs = getOptionWithJsonDecode('firebase_config', config('firebase'));
            config()->set('firebase', $reverb_configs);
        } catch (\Throwable $th) {
            // throw $th;
        }
    }
}
